Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Interface XYDomainInfo

    public interface XYDomainInfo

An interface that can (optionally) be implemented by a dataset to assist in determining the minimum and maximum x-values in the dataset.

Since:
  1.0.13

Method Summary
`Range` | `getDomainBounds(java.util.List visibleSeriesKeys, boolean includeInterval)` Returns the range of the values in this dataset's domain.

Method Detail

### getDomainBounds

    Range getDomainBounds(java.util.List visibleSeriesKeys,
                          boolean includeInterval)

  Returns the range of the values in this dataset's domain.

  Parameters:
    `visibleSeriesKeys` - the keys of the visible series.
    `includeInterval` - a flag that determines whether or not the y-interval is taken into account.
  Returns:
    The range (or `null` if the dataset contains no values).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.